curl --request POST \
--url https://live.copilot.fabric.inc/api-category/v1/category/item-attribute \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-site-context: <x-site-context>' \
--data '
{
"itemAttributes": [
{
"attributeId": "609ac75051f11a0007cf38b3",
"mandatory": false
}
],
"id": "619a8ba6f1875f6dbcaf0521",
"nodeId": 25
}
'import requests
url = "https://live.copilot.fabric.inc/api-category/v1/category/item-attribute"
payload = {
"itemAttributes": [
{
"attributeId": "609ac75051f11a0007cf38b3",
"mandatory": False
}
],
"id": "619a8ba6f1875f6dbcaf0521",
"nodeId": 25
}
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-site-context': '<x-site-context>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
itemAttributes: [{attributeId: '609ac75051f11a0007cf38b3', mandatory: false}],
id: '619a8ba6f1875f6dbcaf0521',
nodeId: 25
})
};
fetch('https://live.copilot.fabric.inc/api-category/v1/category/item-attribute', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "619a8ba6f1875f6dbcaf0521",
"nodeId": 25,
"name": "electronics",
"itemAttributes": [
{
"id": "61ba11691a29d52cb2842541",
"name": "published",
"type": "BOOLEAN",
"required": false
}
]
}{
"code": 400,
"message": "Client error"
}{
"code": 500,
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}Assign and unassign item attributes
Categories are used to segregate and group items. You can specify mandatory and optional attributes that all items within that category must have. Attributes are used to store structured information about items.
Use this endpoint to create and manage item attributes for the specified category.
Authorizations
S2S access token (JWT) from fabric Identity service (during Login)
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Body
Item attributes within a category
Show child attributes
Show child attributes
A 24-character system-generated category ID. nodeId and id are the two identifier of a category, and one of them must be specified.
"619a8ba6f1875f6dbcaf0521"
Numeric category ID. nodeId and id are the two identifier of a category, and one of them must be specified.
25
Was this page helpful?
